import React from 'react';
import ReactDOM from 'react-dom';
import {scaleLinear, extent} from "d3"
import {BasketballCourt} from "./BasketballCourt"
import {useData} from "./useData"
import {Marks} from "./Marks"

const width = 960;
// const margin = { top: 30, right: 30, bottom: 30, left: 30 };
// const innerWidth = width - margin.right - margin.left;
// const innerHeight = height - margin.top - margin.bottom;
const usableWidth = 500
const height = usableWidth / 50 * 47
const margins = 0
const xValue = d => d.x
const yValue = d => d.y




const App = () => {
  const data = useData()
  if (!data) {
    return <pre>Loading...</pre>;
  }
    const xScale = scaleLinear()
    .domain([-250, 250])
    .range([0, usableWidth- margins * 2])
  
  const yScale = scaleLinear()
    .domain([-52, 418])
    .range([0, height- margins * 2])
  return (
<div>
  	<svg
    height={height}
    width={usableWidth}
    transform ={`translate(${[margins,margins]})`}
    style={{fill:'none', stroke:"#000"}}
    >
  <g >
  <BasketballCourt
    height={height}
    usableWidth={usableWidth}
    margins={margins}
    />
  <Marks
    xValue={xValue}
    xScale={xScale}
    yValue={yValue}
    yScale={yScale}
    data={data}
    />
      </g>
  </svg>
</div>
)
};

ReactDOM.render(<App />, document.getElementById('root'));
